Loading...
Searching...
No Matches
lights.c File Reference

Nviz library – Change lighting settings. More...

`#include <grass/glocale.h>`
`#include <grass/nviz.h>`
Include dependency graph for lights.c:

Go to the source code of this file.

## Functions

int | Nviz_set_light_position (nv_data *data, int num, double x, double y, double z, double w)
| Set light position.
int | Nviz_set_light_bright (nv_data *data, int num, double value)
| Set light brightness.
int | Nviz_set_light_color (nv_data *data, int num, int red, int green, int blue)
| Set light color.
int | Nviz_set_light_ambient (nv_data *data, int num, double value)
| Set light ambient.
int | Nviz_init_light (nv_data *data, int num)
| Init new light.
int | Nviz_new_light (nv_data *data)
| Define new light.
void | Nviz_draw_model (nv_data *data)
| Draw lighting model.

## Detailed Description

Nviz library – Change lighting settings.

Based on visualization/nviz/src/lights.c

(C) 2008, 2010 by the GRASS Development Team This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Updated/modified by Martin Landa <landa.martin gmail.com> (Google SoC 2008/2010)

Definition in file lights.c.

## Function Documentation

## Nviz_draw_model()

void Nviz_draw_model | ( | nv_data * | data | ) |

Draw lighting model.

Parameters

  data | nviz data [unused]

Definition at line 186 of file lights.c.

References GS_done_draw(), GS_draw_lighting_model(), GS_ready_draw(), and GS_set_draw().

## Nviz_init_light()

int Nviz_init_light | ( | nv_data * | data,
|  | int | num )

Init new light.

Parameters

  data | nviz data
  num | light num (starts at 1)

Definition at line 134 of file lights.c.

References G_debug().

Referenced by Nviz_new_light().

## Nviz_new_light()

int Nviz_new_light | ( | nv_data * | data | ) |

Define new light.

Parameters

  data | nviz data

Returns
  1 on success
  0 on failure

Definition at line 165 of file lights.c.

References G_warning(), GS_new_light(), and Nviz_init_light().

Referenced by Nviz_init_data().

## Nviz_set_light_ambient()

int Nviz_set_light_ambient | ( | nv_data * | data,
|  | int | num,
|  | double | value )

Set light ambient.

Parameters

  data | nviz data
  num | light num (starts at 1)
  value | ambient value (same for R/G/B) (0-1)

Definition at line 116 of file lights.c.

References G_debug(), and GS_setlight_ambient().

Referenced by Nviz_init_view().

## Nviz_set_light_bright()

int Nviz_set_light_bright | ( | nv_data * | data,
|  | int | num,
|  | double | value )

Set light brightness.

Parameters

  data | nviz data
  num | light num (starts at 1)
  value | brightness value

Definition at line 65 of file lights.c.

References b, g, G_debug(), GS_setlight_color(), and r.

Referenced by Nviz_init_view().

## Nviz_set_light_color()

int Nviz_set_light_color | ( | nv_data * | data,
|  | int | num,
|  | int | red,
|  | int | green,
|  | int | blue )

Set light color.

Parameters

  data | nviz data
  num | light num (starts at 1)
  red,green,blue | RGB values (0-255)

Definition at line 90 of file lights.c.

References b, g, G_debug(), GS_setlight_color(), and r.

Referenced by Nviz_init_view().

## Nviz_set_light_position()

int Nviz_set_light_position | ( | nv_data * | data,
|  | int | num,
|  | double | x,
|  | double | y,
|  | double | z,
|  | double | w )

Set light position.

Parameters

  data | nviz data
  num | light num (starts at 1)
  x,y,z,w | position, model coordinates

Returns
  1

Definition at line 28 of file lights.c.

References G_debug(), GS_setlight_position(), and x.

Referenced by Nviz_init_view().